
QGIS Application - Bug report #8283

Loading QGIS 1.8 color ramp in QGIS 2.0 causes crash

2013-07-12 05:06 AM - Tim Sutton

Status: Closed

Priority: Severe/Regression

Assignee: Jürgen Fischer

Category: Rasters

Affected QGIS version:master Regression?: No

Operating System: Linux Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 17083

Description

Loading a raster dataset with a legacy (QGIS 1.8) qml which contains a colour ramp causes QGIS 2.0 to crash.

I've attached a sample which can be used to replicate the issue.

The follow is the traceback for when the crash occurs:

0    raise    /lib/x86_64-linux-gnu/libc.so.6        0x7ffff0108037    

1    abort    /lib/x86_64-linux-gnu/libc.so.6        0x7ffff010b698    

2    myMessageOutput    main.cpp    285    0x54a773    

3    qt_message_output(QtMsgType, char const*)    /usr/lib/x86_64-linux-gnu/libQtCore.so.4        0x7ffff25fd4d0    

4    ??    /usr/lib/x86_64-linux-gnu/libQtCore.so.4        0x7ffff25fd938    

5    qFatal(char const*, ...)    /usr/lib/x86_64-linux-gnu/libQtCore.so.4        0x7ffff25fdac4    

6    QList<int>::operator[]    qlist.h    473    0x7ffff31a2789    

7    QgsGdalProvider::dataType    qgsgdalprovider.cpp    1052    0x7fffcd5866a7    

8    QgsGdalProvider::block    qgsgdalprovider.cpp    375    0x7fffcd5830ff    

9    QgsSingleBandPseudoColorRenderer::block    qgssinglebandpseudocolorrenderer.cpp    115    0x7ffff3b50a96    

10    QgsBrightnessContrastFilter::block    qgsbrightnesscontrastfilter.cpp    125    0x7ffff3b51cc1    

11    QgsHueSaturationFilter::block    qgshuesaturationfilter.cpp    131    0x7ffff3b52fdc    

12    QgsRasterResampleFilter::block    qgsrasterresamplefilter.cpp    170    0x7ffff3b422c8    

13    QgsRasterProjector::block    qgsrasterprojector.cpp    723    0x7ffff3b11878    

14    QgsRasterIterator::readNextRasterPart    qgsrasteriterator.cpp    96    0x7ffff3b1ef72    

15    QgsRasterDrawer::draw    qgsrasterdrawer.cpp    58    0x7ffff3b379dd    

16    QgsRasterLayer::draw    qgsrasterlayer.cpp    438    0x7ffff3b22f92    

17    QgsRasterLayer::draw    qgsrasterlayer.cpp    403    0x7ffff3b22558    

18    QgsMapRenderer::render    qgsmaprenderer.cpp    538    0x7ffff3973e31    

19    QgsMapCanvasMap::render    qgsmapcanvasmap.cpp    83    0x7ffff3209d2b    

20    QgsMapCanvas::refresh    qgsmapcanvas.cpp    424    0x7ffff3201a58    

21    QgisApp::addRasterLayerPrivate    qgisapp.cpp    8408    0x5891d1    

22    QgisApp::addRasterLayers    qgisapp.cpp    8496    0x5897b4    

23    QgisApp::addRasterLayer    qgisapp.cpp    8279    0x5889f7    

24    QgisApp::qt_static_metacall    moc_qgisapp.cxx    590    0x8a41fc    

25    QMetaObject::activate(QObject*, QMetaObject const*, int, void**)    /usr/lib/x86_64-linux-gnu/libQtCore.so.4       

0x7ffff27190ef    

26    QAction::triggered(bool)    /usr/lib/x86_64-linux-gnu/libQtGui.so.4        0x7ffff1aa4152    

27    QAction::activate(QAction::ActionEvent)    /usr/lib/x86_64-linux-gnu/libQtGui.so.4        0x7ffff1aa5580    

28    ??    /usr/lib/x86_64-linux-gnu/libQtGui.so.4        0x7ffff1e699ef    

29    QAbstractButton::mouseReleaseEvent(QMouseEvent*)    /usr/lib/x86_64-linux-gnu/libQtGui.so.4        0x7ffff1e69c9c    

30    QToolButton::mouseReleaseEvent(QMouseEvent*)    /usr/lib/x86_64-linux-gnu/libQtGui.so.4        0x7ffff1f2677a    

31    QWidget::event(QEvent*)    /usr/lib/x86_64-linux-gnu/libQtGui.so.4        0x7ffff1af7a89    
32    QApplicationPrivate::notify_helper(QObject*, QEvent*)    /usr/lib/x86_64-linux-gnu/libQtGui.so.4        0x7ffff1aaa8ec    

33    QApplication::notify(QObject*, QEvent*)    /usr/lib/x86_64-linux-gnu/libQtGui.so.4        0x7ffff1aada33    

34    QgsApplication::notify    qgsapplication.cpp    242    0x7ffff38b73c2    

35    QCoreApplication::notifyInternal(QObject*, QEvent*)    /usr/lib/x86_64-linux-gnu/libQtCore.so.4        0x7ffff270463e    

36    QApplicationPrivate::sendMouseEvent(QWidget*, QMouseEvent*, QWidget*, QWidget*, QWidget**, QPointer<QWidget>&,

bool)    /usr/lib/x86_64-linux-gnu/libQtGui.so.4        0x7ffff1ab0933    

37    ??    /usr/lib/x86_64-linux-gnu/libQtGui.so.4        0x7ffff1b25ec4    

38    QApplication::x11ProcessEvent(_XEvent*)    /usr/lib/x86_64-linux-gnu/libQtGui.so.4        0x7ffff1b24ef1    

39    ??    /usr/lib/x86_64-linux-gnu/libQtGui.so.4        0x7ffff1b500b2    

40    g_main_context_dispatch    /lib/x86_64-linux-gnu/libglib-2.0.so.0        0x7fffedffff05    

41    ??    /lib/x86_64-linux-gnu/libglib-2.0.so.0        0x7fffee000248    

42    g_main_context_iteration    /lib/x86_64-linux-gnu/libglib-2.0.so.0        0x7fffee000304    

43    QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>)   

/usr/lib/x86_64-linux-gnu/libQtCore.so.4        0x7ffff2733016    

44    ??    /usr/lib/x86_64-linux-gnu/libQtGui.so.4        0x7ffff1b501ae    

45    QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>)    /usr/lib/x86_64-linux-gnu/libQtCore.so.4       

0x7ffff270338f    

46    QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>)    /usr/lib/x86_64-linux-gnu/libQtCore.so.4       

0x7ffff2703618    

47    QCoreApplication::exec()    /usr/lib/x86_64-linux-gnu/libQtCore.so.4        0x7ffff2708cf6    

48    main    main.cpp    1020    0x54d372    

Related issues:

Related to QGIS Application - Bug report # 7080: Master version crashes when ... Closed 2013-01-30

Associated revisions

Revision d6c16dd2 - 2013-07-13 11:55 AM - Jürgen Fischer

project file transform: don't imply we know the band count (fixes #7080, fixes #8283)

History

#1 - 2013-07-12 05:48 AM - Salvatore Larosa

I think this is a duplicate of #7080

#2 - 2013-07-12 12:55 PM - Jürgen Fischer

- Status changed from Open to Feedback

um, doesn't crash here.

#3 - 2013-07-12 01:40 PM - Salvatore Larosa

Hi Jürgen,

did you try with sample data of #7080 ?

#4 - 2013-07-12 02:00 PM - Giovanni Manghi
Jürgen Fischer wrote:

um, doesn't crash here.

no crash here too

#5 - 2013-07-12 02:28 PM - Salvatore Larosa

more info by full backtrace: http://codepad.org/zvJHsbNC

#6 - 2013-07-13 02:55 AM - Jürgen Fischer

- Status changed from Feedback to Closed

Fixed in changeset commit:"d6c16dd2caab603e7ee7c38750157fff1fd7b6d5".

#7 - 2013-07-14 09:02 AM - Tim Sutton

That fixes it for me too thanks!

Tim

Files

ramp_crash.tar.gz 1.2 KB 2013-07-12 Tim Sutton
